Index: unk/Monitoring/Broker/README
===================================================================
--- /trunk/Monitoring/Broker/README	(revision 941)
+++ 	(revision )
@@ -1,109 +1,0 @@
-- requirements
-	- CentOS 6
-	- outgoing internet access (port 80)
-	- Forge svn repository access
-- Broker installation procedure (as root)
-	- check if EPEL repository is configured, if not, do steps below
-		- for CENTOS 6
-		  (from http://www.tecmint.com/how-to-enable-epel-repository-for-rhel-centos-6-5/)
-			- wget http://download.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm
-			- rpm -ivh epel-release-6-8.noarch.rpm
-	- add user in /etc/passwd
-		- adduser -m -d /home/csbroker -s /sbin/nologin csbroker
-		- note
-			- csbroker stands for "Climate Simulation broker"
-	- RabbitMQ server
-		yum install nc
-		yum install erlang.x86_64
-		yum install libxslt-devel.x86_64
-		yum install libxslt.x86_64
-		yum install xmlto.x86_64
-		cd /opt
-		mkdir -p src
-		cd src
-		# rabbitmq install
-		cd /opt/src
-		wget http://www.rabbitmq.com/releases/rabbitmq-server/v3.0.2/rabbitmq-server-3.0.2.tar.gz
-		tar xzvf rabbitmq-server-3.0.2.tar.gz
-		rm rabbitmq-server-3.0.2.tar.gz
-		cd rabbitmq-server-3.0.2/
-		export TARGET_DIR=/opt/rabbitmq-server-3.0.2
-		export SBIN_DIR=/opt/rabbitmq-server-3.0.2/sbin
-		export MAN_DIR=/opt/rabbitmq-server-3.0.2/man
-		make
-		make install
-	- optional console admin tools (http://www.rabbitmq.com/management-cli.html)
-		- wget http://hg.rabbitmq.com/rabbitmq-management/raw-file/rabbitmq_v3_0_2/bin/rabbitmqadmin
-		- mv -i rabbitmqadmin /usr/sbin
-		- chmod +x /usr/sbin/rabbitmqadmin
-	- change owner (to run rabbitmq as non-root)
-		- chown -R csbroker /var/log/rabbitmq
-		- chown -R csbroker /var/lib/rabbitmq
-	- install startup file in /etc/init.d
-		<---
-		#!/bin/bash
-		# chkconfig: 2345 20 80
-		# description: AMQP service
-
-		RABBITMQ_SBIN=/opt/rabbitmq-server-3.0.2/sbin
-
-		case "$1" in
-		start)
-			sudo -H -u csbroker -- $RABBITMQ_SBIN/rabbitmq-server -detached
-			;;
-		stop)
-			sudo -H -u csbroker $RABBITMQ_SBIN/rabbitmqctl stop
-			;;
-		status)
-			sudo -H -u csbroker $RABBITMQ_SBIN/rabbitmqctl status
-			;;
-		*)
-			echo $"Usage: $0 {start|stop}"
-		esac
-
-		exit 0
-		--->
-	- chmod +x /etc/init.d/rabbitmq
-	- create startup symlinks with command below
-		- chkconfig --add rabbitmq
-- conf
-	- vi /opt/rabbitmq-server-3.0.2/sbin/rabbitmq-defaults
-	- as default disk size is too high for VESG4 VM, do that
-		- edit rabbit config file so result looks like this:
-			$ cat /etc/rabbitmq/rabbitmq.config
-			[   
-				{rabbit, [{disk_free_limit, {mem_relative, 0.1}}]}
-			].
-	-   
-		-   
-			- $RABBITMQ_HOME/etc/rabbitmq/rabbitmq-env.conf
-			- $RABBITMQ_HOME/etc/rabbitmq/rabbitmq.config
-		- note that neither of these files exist after installation
-		  i.e. you need to create them
-	-   
-		log         : /var/log/rabbitmq/rabbit.log
-		sasl log    : /var/log/rabbitmq/rabbit-sasl.log
-		database dir: /var/lib/rabbitmq/mnesia/rabbit
-- usage
-	- to start the daemon, run command below (as root)
-		- /etc/init.d/rabbitmq start
-			- note
-				- the warning message below is normal
-					- Warning: PID file not written; -detached was passed.
-	- to stop the daemon, use
-		- /etc/init.d/rabbitmq stop
-			- note
-				- it's normal to have the erlang process below running after stop (it's an erlang generic registry stuff)
-					- 31691 ?        S      0:00 /usr/lib64/erlang/erts-5.8.5/bin/epmd -daemon
-- test
-	- connectivity test
-		- telnet localhost 5672
-		- telnet cstest-broker.ipsl.jussieu.fr 5672
-- operation
-	- to print RabbitMQ status, use
-		- ./rabbitmqctl report
-	- to print RabbitMQ queues, use:
-		- ./rabbitmqctl list_queues
-		- optional
-			- ./rabbitmqadmin list queues
-# vim: set ts=4:
Index: /trunk/Monitoring/CNClient/Makefile
===================================================================
--- /trunk/Monitoring/CNClient/Makefile	(revision 942)
+++ /trunk/Monitoring/CNClient/Makefile	(revision 942)
@@ -0,0 +1,6 @@
+sendAMQPMsg:
+	#gcc -static -I/usr/local/include -L/usr/local/lib -Wall -o sendAMQPMsg send_AMQP_msg.c -lrabbitmq
+	gcc -static -Wall -o sendAMQPMsg send_AMQP_msg.c -lrabbitmq
+
+install: sendAMQPMsg
+	sudo cp sendAMQPMsg /usr/local/bin
Index: unk/Monitoring/CNClient/README
===================================================================
--- /trunk/Monitoring/CNClient/README	(revision 941)
+++ 	(revision )
@@ -1,76 +1,0 @@
-- requirements
-	- CentOS 6
-	- outgoing internet access (port 80)
-	- Forge svn repository access
-- add Unix user
-	- adduser -m -d /home/cscompute -s /sbin/nologin cscompute
-- check if EPEL repository is configured, if not, do steps below
-	- for CENTOS 6
-	  (from http://www.tecmint.com/how-to-enable-epel-repository-for-rhel-centos-6-5/)
-		- wget http://download.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm
-		- rpm -ivh epel-release-6-8.noarch.rpm
-	- note
-		-
-			- if you get error below
-				Could not parse metalink https://mirrors.fedoraproject.org/metalink?repo=epel-6&arch=x86_64 error was
-				No repomd file
-			- then, manually copy files below from another machine
-				- repomd.xml
-				- metalink.xml
-- tools
-	- yum install gcc screen
-- this program uses rabbitmq-c library (v0.3.0)
-	- https://github.com/alanxz/rabbitmq-c
-- library installation
-	- using system package
-		- install using commands below
-			- yum install librabbitmq0
-			- yum install librabbitmq-dev
-		- note that it is likely that system packages versions are out of date (we need v0.3.0)
-		  in this case, use installation from source
-	- from source
-		- retrieve source
-			- wget https://github.com/alanxz/rabbitmq-c/archive/rabbitmq-c-v0.3.0.zip -O rabbitmq-c-v0.3.0.zip
-			- unzip rabbitmq-c-v0.3.0.zip
-			- cd rabbitmq-c-v0.3.0
-		- compilation using autoconf (automake v1.9+, and libtool v2.2+)
-			- autoreconf -i
-				- if error occurs at this step, check requirement below
-					- we require autotools v2.63 or better to build. I think RHEL5 ships with v2.59 which lacks the AC_PROC_CC_C99 macro.
-						- You can do one of two things;
-							- Install a newer version of autotools
-							- Build using cmake (v2.6 or better).
-			- ./configure --enable-static
-			- make
-			- make install
-		- compilation using cmake (CMake v2.6+)
-			- mkdir build && cd build
-			- cmake -DBUILD_STATIC_LIBS=True -DBUILD_SHARED_LIBS=True ..
-			- cmake --build .
-			- make
-				- you got error AAA below, it's normal
-					make[2]: *** Pas de rÃšgle pour fabriquer la cible Â« librabbitmq/librabbitmq.so.1.0.1 Â», nÃ©cessaire pour Â« examples/amqp_bind Â». ArrÃªt.
-					make[1]: *** [examples/CMakeFiles/amqp_bind.dir/all] Erreur 2
-					make: *** [all] Erreur 2
-			- make
-			  (because of the above error (AAA), you need to run make twice)
-			- make install
-- sendAMQPMsg installation
-	- svn co svn+ssh://<login here>@forge.ipsl.jussieu.fr/ipsl/forge/projets/libigcm/svn/trunk/Monitoring/CNClient
-	- compilation (static)
-		- gcc -static -I/usr/local/include -L/usr/local/lib -Wall -o sendAMQPMsg send_AMQP_msg.c -lrabbitmq
-			- we get warning below during compilation
-				- 
-				  <---
-				  /usr/local/lib/librabbitmq.a(librabbitmq_librabbitmq_la-amqp_socket.o): In function `amqp_open_socket':
-				  rabbitmq-c-rabbitmq-c-v0.3.0/librabbitmq/amqp_socket.c:66: warning: Using 'getaddrinfo' in statically 
-				  linked applications requires at runtime the shared libraries from the glibc version used for linking
-				  --->
-				- it means that you may need to be sure all computing node have the same glibc version !!!!
-					- also means that a different binary must be use in each computing center
-- usage
-	- to send a message in the queue, do
-		- ./sendAMQPMsg localhost 5672 test
-- note
-	- to show how many messages are in the queue, do as root
-		- ./rabbitmqctl list_queues
Index: unk/Monitoring/Watch/README
===================================================================
--- /trunk/Monitoring/Watch/README	(revision 941)
+++ 	(revision )
@@ -1,4 +1,0 @@
-- to run the watcher, do
-	- cd Watch
-	- source /opt/python2.6_ve/bin/activate
-	- python watch
Index: unk/Monitoring/doc/README
===================================================================
--- /trunk/Monitoring/doc/README	(revision 941)
+++ 	(revision )
@@ -1,126 +1,0 @@
-- requirements
-	- CentOS 6
-	- outgoing internet access (port 80)
-	- Forge svn repository access
-- installation instructions
-	- LibIGCM AMQP agent installation
-		- see CNClient/README
-	- Broker installation
-		- see Broker/README
-	- Supervisor installation
-		- add user in /etc/passwd
-			- adduser -m -d /home/cssupervisor -s /sbin/nologin cssupervisor
-		- create directories
-			- mkdir /var/log/cssupervisor
-			- mkdir /var/lib/cssupervisor
-		- set owner
-			- chown -R cssupervisor /var/log/cssupervisor
-			- chown -R cssupervisor /var/lib/cssupervisor
-		- copy startup script below in /etc/init/cssupervisor.conf
-			-
-				description "Climate Simulation Supervisor"
-
-				start on runlevel [2345]
-				stop on runlevel [016]
-
-				chdir /home/cssupervisor
-
-				# debug
-				#script
-				#   exec >>/tmp/deb 2>&1
-				#   exec sudo -u cssupervisor /opt/python2.6_ve/bin/python /opt/supervisor/Monitoring/Watch/watch
-				#end script
-
-				#need upstart 1.4+ (for gid/uid support)
-				#exec sudo -u cssupervisor /opt/python2.6_ve/bin/python /opt/supervisor/Monitoring/Watch/watch
-
-				exec su -s /bin/sh -c 'exec "$0" "$@"' cssupervisor -- /opt/python2.6_ve/bin/python /opt/supervisor/Monitoring/Watch/watch
-
-				respawn
-		- reload upstart
-			- initctl reload-configuration
-		- check if EPEL repository is configured, if not, do steps below
-			- for CENTOS 6
-			  (from http://www.tecmint.com/how-to-enable-epel-repository-for-rhel-centos-6-5/)
-				- wget http://download.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm
-				- rpm -ivh epel-release-6-8.noarch.rpm
-		- Python installation
-			- if python version < 2.6, do
-				- yum install python26
-				- yum install python26-devel
-			- yum install python-devel
-			- yum install sqlite
-			- yum install sqlite-devel
-			- yum install python-sqlite
-		- Virtualenv installation
-			- mkdir /opt/src
-			- cd /opt/src/
-			- wget http://pypi.python.org/packages/source/v/virtualenv/virtualenv-1.10.1.tar.gz
-			- tar xzvf virtualenv-1.10.1.tar.gz
-			- rm virtualenv-1.10.1.tar.gz
-			- cd /opt/src/virtualenv-1.10.1
-			- check if python use the 2.6 version with
-				- python -V
-			- yum install python-pip
-			- /usr/bin/python virtualenv.py --distribute --unzip-setuptools /opt/python2.6_ve
-			- source /opt/python2.6_ve/bin/activate
-		- Python PYPI libraries installation
-			- procedure (as root)
-				- cd /opt
-				- cd python2.6_ve/
-				- cd bin
-				- source activate
-				- pip install <package name>
-			- packages list
-				- pika     # RabbitMQ client library
-				- networkx # graph library
-				- #pip amqplib # not used for now
-		- Prodiguer library installation
-			- dependencies (PYPI packages)
-				-
-					- yum install gcc
-					- yum install postgresql-devel
-					- pip install psycopg2
-						- doesn't work (Error: pg_config executable not found)
-							- solution is
-								- yum install python-psycopg2.x86_64
-								- yum install libpqxx-devel
-								- yum install python-devel
-								- pip install psycopg2
-									- works
-					- pip install Sqlalchemy
-					- pip install elixir
-					- pip install simplejson
-				- notes
-					- some Elixir/SQLAlchemy versions are not compatible.
-						- to be sure, you can use version below which are compatible
-							- Elixir-0.7.1-py2.6.egg-info
-							- SQLAlchemy-0.7.8-py2.6.egg-info
-						- to install specific version with pip, do
-							- pip install SQLAlchemy==0.7.8
-			- Prodiguer package
-				- mkdir -p /opt/supervisor/prodiguer_lib
-				- cd /opt/supervisor/prodiguer_lib
-				- svn co svn+ssh://<login here>@forge.ipsl.jussieu.fr/ipsl/forge/projets/prodiguer/svn/sw/src/python/trunk/prodiguer_shared/src
-		- Supervisor python script installation
-			- mkdir /opt/supervisor/local_db
-			- mkdir /opt/supervisor/log
-			- svn co svn+ssh://<login here>@forge.ipsl.jussieu.fr/ipsl/forge/projets/libigcm/svn/trunk/Monitoring
-			- edit "watch" script and edit line below accordingly
-				- sys.path.append("<snapshot_dir>/src") 
-			- smon/repo_io.py
-				- sys.path.append("<snapshot_dir>/src")
-		- usage (as root)
-			- start
-				- start cssupervisor
-			- stop
-				- stop cssupervisor
-			- status
-				- status cssupervisor
-		- unit test
-			- TODO
-	- integration test
-		- connectivity test
-			- run command below on supervisor
-				- telnet pp-db-dev.private.ipsl.fr 5432
-# vim: set ts=4 :