Index: trunk/libIGCM/libIGCM_check/libIGCM_check.ksh
===================================================================
--- trunk/libIGCM/libIGCM_check/libIGCM_check.ksh	(revision 1023)
+++ trunk/libIGCM/libIGCM_check/libIGCM_check.ksh	(revision 1024)
@@ -12,8 +12,11 @@
 #**************************************************************
 
-#===================================
+#D-#==================================================
+#D-function IGCM_check_CommonDef
+#D-* Purpose:
+#D-* Examples:
+#D-
 function IGCM_check_CommonDef
 {
-
   IGCM_debug_PushStack "IGCM_check_CommonDef" $@
 
@@ -60,5 +63,5 @@
   set -A JobType_list "${RebuildJob}" "pack_output" "pack_restart" "pack_debug"
 
-  for JobType in ${JobType_list[*]} ; do 
+  for JobType in ${JobType_list[*]} ; do
     typeset    name1="${JobType}_String"
     typeset    name2="${JobType}_Field"
@@ -84,11 +87,13 @@
 
   IGCM_debug_PopStack "IGCM_check_CommonDef"
-
-}
-
-#===================================
+}
+
+#D-#==================================================
+#D-function IGCM_check_ChangeUsr
+#D-* Purpose:
+#D-* Examples:
+#D-
 function IGCM_check_ChangeUsr
 {
-
   IGCM_debug_PushStack "IGCM_check_ChangeUsr" $@
 
@@ -100,13 +105,13 @@
 
   IGCM_debug_PopStack "IGCM_check_ChangeUsr"
-
-}
-
-
-
-#===================================
+}
+
+#D-#==================================================
+#D-function IGCM_check_SearchCatalog
+#D-* Purpose:
+#D-* Examples:
+#D-
 function IGCM_check_SearchCatalog
 {
-
   IGCM_debug_PushStack "IGCM_check_SearchCatalog" $@
 
@@ -213,11 +218,13 @@
 
   IGCM_debug_PopStack "IGCM_check_SearchCatalog"
-
-}
-
-#===================================
+}
+
+#D-#==================================================
+#D-function IGCM_check_PrintHeader
+#D-* Purpose:
+#D-* Examples:
+#D-
 function IGCM_check_PrintHeader
 {
-
   IGCM_debug_PushStack "IGCM_check_PrintHeader" $@
 
@@ -280,11 +287,13 @@
 
   IGCM_debug_PopStack "IGCM_check_PrintHeader"
-
-}
-
-#===================================
+}
+
+#D-#==================================================
+#D-function IGCM_check_PrintJob
+#D-* Purpose:
+#D-* Examples:
+#D-
 function IGCM_check_PrintJob
 {
-
   IGCM_debug_PushStack "IGCM_check_PrintJob" $@
 
@@ -293,5 +302,5 @@
   #Â Print rebuild and pack jobs
   #Â ---------------------------
-  for JobType in ${JobType_list[*]} ; do 
+  for JobType in ${JobType_list[*]} ; do
     eval Date=\${${JobType}_Date[${ind}]}
     eval Status=\${${JobType}_Status[${ind}]}
@@ -327,11 +336,13 @@
 
   IGCM_debug_PopStack "IGCM_check_PrintJob"
-
-}
-
-#===================================
+}
+
+#D-#==================================================
+#D-function IGCM_check_PrintFooter
+#D-* Purpose:
+#D-* Examples:
+#D-
 function IGCM_check_PrintFooter
 {
-
   IGCM_debug_PushStack "IGCM_check_PrintFooter" $@
 
@@ -340,11 +351,13 @@
 
   IGCM_debug_PopStack "IGCM_check_PrintFooter"
-
-}
-
-#===================================
+}
+
+#D-#==================================================
+#D-function IGCM_check_CheckPendingRebuild
+#D-* Purpose:
+#D-* Examples:
+#D-
 function IGCM_check_CheckPendingRebuild
 {
-
   IGCM_debug_PushStack "IGCM_check_PendingRebuild" $@
 
@@ -364,11 +377,13 @@
 
   IGCM_debug_PopStack "IGCM_check_PendingRebuild"
-
-}
-
-#===================================
+}
+
+#D-#==================================================
+#D-function IGCM_check_CheckRebPackJobs
+#D-* Purpose:
+#D-* Examples:
+#D-
 function IGCM_check_CheckRebPackJobs
 {
-
   IGCM_debug_PushStack "IGCM_check_CheckRebPackJobs" $@
 
@@ -432,11 +447,13 @@
 
   IGCM_debug_PopStack "IGCM_check_CheckRebPackJobs"
-
-}
-
-#===================================
+}
+
+#D-#==================================================
+#D-function IGCM_check_CheckMonitoring
+#D-* Purpose:
+#D-* Examples:
+#D-
 function IGCM_check_CheckMonitoring
 {
-
   IGCM_debug_PushStack "IGCM_check_CheckMonitoring" $@
 
@@ -452,11 +469,13 @@
 
   IGCM_debug_PopStack "IGCM_check_CheckMonitoring"
-
-}
-
-#===================================
+}
+
+#D-#==================================================
+#D-function IGCM_check_CheckAtlas
+#D-* Purpose:
+#D-* Examples:
+#D-
 function IGCM_check_CheckAtlas
 {
-
   IGCM_debug_PushStack "IGCM_check_CheckAtlas" $@
 
@@ -479,6 +498,3 @@
 
   IGCM_debug_PopStack "IGCM_check_CheckAtlas"
-
-}
-
-#===================================
+}