Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1037)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_ada.ksh	(revision 1046)
@@ -1784,7 +1784,11 @@
     (( i = i + 1))
     [ ${i} = 1 ] && file_out=${file_in} && continue
-    prefix_invert=$( basename ${file_in} .nc )
-    IGCM_sys_ncpdq -a x,time_counter -a x,time_counter,presnivs ${file_in} ${prefix_invert}_xt.nc
-    list_invert[${#list_invert[*]}]=${prefix_invert}_xt.nc
+    # detect time counter and do the job only if present
+    var_unlim=$(ncdump -h ${file_in} | grep UNLIMITED | cut -d ' ' -f 1)
+    if [ X${var_unlim} = Xtime_counter ] ; then
+      prefix_invert=$( basename ${file_in} .nc )
+      IGCM_sys_ncpdq -a x,time_counter -a x,time_counter,presnivs ${file_in} ${prefix_invert}_xt.nc
+      list_invert[${#list_invert[*]}]=${prefix_invert}_xt.nc
+    fi
   done
 
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1037)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_curie.ksh	(revision 1046)
@@ -1944,7 +1944,11 @@
     (( i = i + 1))
     [ ${i} = 1 ] && file_out=${file_in} && continue
-    prefix_invert=$( basename ${file_in} .nc )
-    IGCM_sys_ncpdq -a x,time_counter -a x,time_counter,presnivs ${file_in} ${prefix_invert}_xt.nc
-    list_invert[${#list_invert[*]}]=${prefix_invert}_xt.nc
+    # detect time counter and do the job only if present
+    var_unlim=$(ncdump -h ${file_in} | grep UNLIMITED | cut -d ' ' -f 1)
+    if [ X${var_unlim} = Xtime_counter ] ; then
+      prefix_invert=$( basename ${file_in} .nc )
+      IGCM_sys_ncpdq -a x,time_counter -a x,time_counter,presnivs ${file_in} ${prefix_invert}_xt.nc
+      list_invert[${#list_invert[*]}]=${prefix_invert}_xt.nc
+    fi
   done
 
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 1037)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_default.ksh	(revision 1046)
@@ -1466,7 +1466,11 @@
     (( i = i + 1))
     [ ${i} = 1 ] && file_out=${file_in} && continue
-    prefix_invert=$( basename ${file_in} .nc )
-    IGCM_sys_ncpdq -a x,time_counter -a x,time_counter,presnivs ${file_in} ${prefix_invert}_xt.nc
-    list_invert[${#list_invert[*]}]=${prefix_invert}_xt.nc
+    # detect time counter and do the job only if present
+    var_unlim=$(ncdump -h ${file_in} | grep UNLIMITED | cut -d ' ' -f 1)
+    if [ X${var_unlim} = Xtime_counter ] ; then
+      prefix_invert=$( basename ${file_in} .nc )
+      IGCM_sys_ncpdq -a x,time_counter -a x,time_counter,presnivs ${file_in} ${prefix_invert}_xt.nc
+      list_invert[${#list_invert[*]}]=${prefix_invert}_xt.nc
+    fi
   done
 
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 1037)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_iitm.ksh	(revision 1046)
@@ -1508,7 +1508,11 @@
     (( i = i + 1))
     [ ${i} = 1 ] && file_out=${file_in} && continue
-    prefix_invert=$( basename ${file_in} .nc )
-    IGCM_sys_ncpdq -a x,time_counter -a x,time_counter,presnivs ${file_in} ${prefix_invert}_xt.nc
-    list_invert[${#list_invert[*]}]=${prefix_invert}_xt.nc
+    # detect time counter and do the job only if present
+    var_unlim=$(ncdump -h ${file_in} | grep UNLIMITED | cut -d ' ' -f 1)
+    if [ X${var_unlim} = Xtime_counter ] ; then
+      prefix_invert=$( basename ${file_in} .nc )
+      IGCM_sys_ncpdq -a x,time_counter -a x,time_counter,presnivs ${file_in} ${prefix_invert}_xt.nc
+      list_invert[${#list_invert[*]}]=${prefix_invert}_xt.nc
+    fi
   done
 
Index: trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh
===================================================================
--- trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 1037)
+++ trunk/libIGCM/libIGCM_sys/libIGCM_sys_obelix.ksh	(revision 1046)
@@ -1490,7 +1490,11 @@
     (( i = i + 1))
     [ ${i} = 1 ] && file_out=${file_in} && continue
-    prefix_invert=$( basename ${file_in} .nc )
-    IGCM_sys_ncpdq -a x,time_counter -a x,time_counter,presnivs ${file_in} ${prefix_invert}_xt.nc
-    list_invert[${#list_invert[*]}]=${prefix_invert}_xt.nc
+    # detect time counter and do the job only if present
+    var_unlim=$(ncdump -h ${file_in} | grep UNLIMITED | cut -d ' ' -f 1)
+    if [ X${var_unlim} = Xtime_counter ] ; then
+      prefix_invert=$( basename ${file_in} .nc )
+      IGCM_sys_ncpdq -a x,time_counter -a x,time_counter,presnivs ${file_in} ${prefix_invert}_xt.nc
+      list_invert[${#list_invert[*]}]=${prefix_invert}_xt.nc
+    fi
   done
 