Index: trunk/libIGCM/libIGCM_post/libIGCM_post.ksh
===================================================================
--- trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 1059)
+++ trunk/libIGCM/libIGCM_post/libIGCM_post.ksh	(revision 1070)
@@ -141,5 +141,5 @@
 
 
-    listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,MASTER,RebuildFrequency,DateBegin,PeriodDateEnd,StandAlone,CompletedFlag,TsTask,CompToRead,FlagToRead,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
+    listVarEnv="DEBUG_debug,BigBrother,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,MASTER,RebuildFrequency,DateBegin,PeriodDateEnd,StandAlone,CompletedFlag,TsTask,CompToRead,FlagToRead,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
     #
     jLoop=${#ListDimension[*]}
@@ -174,4 +174,5 @@
 #           fi
             echo "export DEBUG_debug=${DEBUG_debug}              " >> ${FunctionPath}
+            echo "export BigBrother=${BigBrother}                " >> ${FunctionPath}
             echo "export MODIPSL=${MODIPSL}                      " >> ${FunctionPath}
             echo "export libIGCM_SX=${libIGCM}                   " >> ${FunctionPath}
@@ -210,4 +211,5 @@
           IGCM_sys_RshPost <<-EOF
                     export DEBUG_debug=${DEBUG_debug}
+                    export BigBrother=${BigBrother}
                     export MODIPSL=${MODIPSL}
                     export libIGCM_SX=${libIGCM}
@@ -288,4 +290,5 @@
 #             fi
               echo "export DEBUG_debug=${DEBUG_debug}              " >> ${FunctionPath}
+              echo "export BigBrother=${BigBrother}                " >> ${FunctionPath}
               echo "export MODIPSL=${MODIPSL}                      " >> ${FunctionPath}
               echo "export libIGCM_SX=${libIGCM}                   " >> ${FunctionPath}
@@ -324,4 +327,5 @@
             IGCM_sys_RshPost <<-EOF
                         export DEBUG_debug=${DEBUG_debug}
+                        export BigBrother=${BigBrother}
                         export MODIPSL=${MODIPSL}
                         export libIGCM_SX=${libIGCM}
@@ -373,5 +377,5 @@
     Script_Post_Output=create_se.${PeriodDateEnd}
     #
-    listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,MASTER,RebuildFrequency,DateBegin,PeriodDateEnd,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
+    listVarEnv="DEBUG_debug,BigBrother,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,MASTER,RebuildFrequency,DateBegin,PeriodDateEnd,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
 
     if [ ${RebuildFrequency} = true ] ; then
@@ -389,4 +393,5 @@
 #     fi
       echo "export DEBUG_debug=${DEBUG_debug}              " >> ${FunctionPath}
+      echo "export BigBrother=${BigBrother}                " >> ${FunctionPath}
       echo "export MODIPSL=${MODIPSL}                      " >> ${FunctionPath}
       echo "export libIGCM_SX=${libIGCM}                   " >> ${FunctionPath}
@@ -421,6 +426,7 @@
       IGCM_sys_RshPost <<-EOF
             export DEBUG_debug=${DEBUG_debug}
+            export BigBrother=${BigBrother}
             export MODIPSL=${MODIPSL}
-          export libIGCM_SX=${libIGCM}
+            export libIGCM_SX=${libIGCM}
             export libIGCM=${libIGCM_POST}
             export SUBMIT_DIR=${SUBMIT_DIR}
@@ -473,7 +479,8 @@
     Script_Post_Output=${script}.${PeriodDateEnd}
     #
-    listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,MASTER,DateBegin,DateEnd,PeriodPack,StandAlone"
+    listVarEnv="DEBUG_debug,BigBrother,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,POST_DIR,MASTER,DateBegin,DateEnd,PeriodPack,StandAlone"
     IGCM_sys_RshPost <<-EOF
     export DEBUG_debug=${DEBUG_debug}
+    export BigBrother=${BigBrother}
     export MODIPSL=${MODIPSL}
     export libIGCM_SX=${libIGCM}
@@ -503,4 +510,5 @@
       IGCM_sys_RshPost <<-EOF
       export DEBUG_debug=${DEBUG_debug}
+      export BigBrother=${BigBrother}
       export MODIPSL=${MODIPSL}
       export libIGCM_SX=${libIGCM}
@@ -533,4 +541,5 @@
 #       fi
       echo "export DEBUG_debug=${DEBUG_debug}              " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
+      echo "export BigBrother=${BigBrother}                " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
       echo "export MODIPSL=${MODIPSL}                      " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
       echo "export libIGCM_SX=${libIGCM}                   " >> ${RUN_DIR}/REBUILD_${PeriodDateBegin}/rebuild.ksh
@@ -560,4 +569,5 @@
       IGCM_sys_RshPost <<-EOF
         export DEBUG_debug=${DEBUG_debug}
+        export BigBrother=${BigBrother}
         export MODIPSL=${MODIPSL}
         export libIGCM_SX=${libIGCM}
@@ -602,7 +612,8 @@
     Script_Post_Output=${script}.${PeriodDateEnd}
     #
-    listVarEnv="DEBUG_debug,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,REBUILD_DIR,POST_DIR,MASTER,DateBegin,PeriodDateBegin,PeriodDateEnd,NbRebuildDir,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
+    listVarEnv="DEBUG_debug,BigBrother,MODIPSL,libIGCM,libIGCM_SX,SUBMIT_DIR,REBUILD_DIR,POST_DIR,MASTER,DateBegin,PeriodDateBegin,PeriodDateEnd,NbRebuildDir,StandAlone,RESOL_ATM,RESOL_OCE,RESOL_ICE,RESOL_MBG,RESOL_SRF,RESOL_SBG"
     IGCM_sys_RshPost <<-EOF
       export DEBUG_debug=${DEBUG_debug}
+      export BigBrother=${BigBrother}
       export MODIPSL=${MODIPSL}
       export libIGCM_SX=${libIGCM}