Index: /trunk/libIGCM/AA_additionnal
===================================================================
--- /trunk/libIGCM/AA_additionnal	(revision 1197)
+++ /trunk/libIGCM/AA_additionnal	(revision 1198)
@@ -80,7 +80,6 @@
 . ${libIGCM}/libIGCM_config/libIGCM_config.ksh
 #-------
-RUN_DIR=${RUN_DIR_PATH}/ATLAS_ADD_${YEARS}
-IGCM_sys_MkdirWork ${RUN_DIR}
-IGCM_sys_Cd ${RUN_DIR}
+IGCM_sys_MkdirWork ${RUN_DIR_PATH}
+IGCM_sys_Cd ${RUN_DIR_PATH}
 #-------
 ( ${DEBUG_debug} ) && IGCM_debug_Check
@@ -92,12 +91,45 @@
 #set -vx
 
-#===========================================
-R_ATLAS=ATLAS/SE_${YEARS}
-R_OUT_OCE=${R_SAVE}/OCE
-
 # ------------------------------------------------------------------
 # Test if all was right before proceeding further
 # ------------------------------------------------------------------
 IGCM_debug_Verif_Exit_Post
+
+if [ ${StandAlone} = true ] ; then
+    CARD_DIR=${SUBMIT_DIR}
+else
+    CARD_DIR=${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/config.card ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/run.card    ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/COMP        ${RUN_DIR_PATH}
+    IGCM_sys_Get_Master ${SUBMIT_DIR}/POST        ${RUN_DIR_PATH}
+fi
+
+#==================================
+# First of all
+#
+# Read libIGCM compatibility version in config.card
+# Read UserChoices section
+# Read Ensemble section
+# Read Post section
+# Define all netcdf output directories
+#==================================
+IGCM_config_CommonConfiguration ${CARD_DIR}/config.card
+
+# ------------------------------------------------------------------
+# Activate BigBrother so as to supervise this job
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Initialize
+
+#==================================
+# Then set up several directories
+#==================================
+R_ATLAS=ATLAS/SE_${YEARS}
+R_OUT_OCE=${R_SAVE}/OCE
+DIR_OUT=${DIR_OUT:=SE}
+RUN_DIR=${RUN_DIR_PATH}/ATLAS_ADD_${YEARS}
+IGCM_sys_MkdirArchive ${R_FIGR}
+IGCM_sys_MkdirWork ${RUN_DIR}
+IGCM_sys_Cd ${RUN_DIR}
 
 # --------------------------------------------
@@ -125,10 +157,18 @@
 
 # Save files
-IGCM_sys_Put_Dir ATLAS ${R_SAVE}
-
+IGCM_sys_Put_Dir ATLAS ${R_FIGR}
 IGCM_sys_Rm -Rf ATLAS
 IGCM_sys_Rm -f SE_grid_?.nc
 
 # DODS copy
-IGCM_sys_TestDirArchive ${R_SAVE}/${R_ATLAS}
-[ $? = 0 ] && IGCM_sys_Put_Dods ${R_ATLAS}
+if [ X${config_Post_DodsCopy} = XTRUE ]  ; then
+  IGCM_sys_TestDirArchive ${R_FIGR}/${R_ATLAS}
+  [ $? = 0 ] && IGCM_sys_Put_Dods ${R_ATLAS}
+fi
+# Clean RUN_DIR_PATH (necessary for cesium and titane only)
+IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
+
+# ------------------------------------------------------------------
+# Finalize BigBrother to inform that the jobs end
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Finalize
Index: /trunk/libIGCM/AA_atlas_LMDZ
===================================================================
--- /trunk/libIGCM/AA_atlas_LMDZ	(revision 1197)
+++ /trunk/libIGCM/AA_atlas_LMDZ	(revision 1198)
@@ -116,12 +116,18 @@
 #==================================
 IGCM_config_CommonConfiguration ${CARD_DIR}/config.card
-#
-IGCM_sys_MkdirArchive ${R_FIGR}
 
+# ------------------------------------------------------------------
+# Activate BigBrother so as to supervise this job
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Initialize
+
+#==================================
+# Then set up several directories
+#==================================
 R_ATLAS=ATLAS/SE_${YEARS}
 R_OUT_ATM=${R_SAVE}/ATM
 DIR_OUT=${DIR_OUT:=SE}
-
 RUN_DIR=${RUN_DIR_PATH}/ATLAS_LMDZ_${YEARS}
+IGCM_sys_MkdirArchive ${R_FIGR}
 IGCM_sys_MkdirWork ${RUN_DIR}
 IGCM_sys_Cd ${RUN_DIR}
@@ -164,2 +170,7 @@
 # Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
+
+# ------------------------------------------------------------------
+# Finalize BigBrother to inform that the jobs end
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Finalize
Index: /trunk/libIGCM/AA_atlas_ORCA_LIM
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1197)
+++ /trunk/libIGCM/AA_atlas_ORCA_LIM	(revision 1198)
@@ -118,13 +118,18 @@
 IGCM_config_CommonConfiguration ${CARD_DIR}/config.card
 
-#
-IGCM_sys_MkdirArchive ${R_FIGR}
-
+# ------------------------------------------------------------------
+# Activate BigBrother so as to supervise this job
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Initialize
+
+#==================================
+# Then set up several directories
+#==================================
 R_ATLAS=ATLAS/SE_${YEARS}
 R_OUT_OCE=${R_SAVE}/OCE
 R_OUT_ICE=${R_SAVE}/ICE
 DIR_OUT=${DIR_OUT:=SE}
-
 RUN_DIR=${RUN_DIR_PATH}/ATLAS_ORCALIM_${YEARS}
+IGCM_sys_MkdirArchive ${R_FIGR}
 IGCM_sys_MkdirWork ${RUN_DIR}
 IGCM_sys_Cd ${RUN_DIR}
@@ -191,5 +196,4 @@
 # Save files
 IGCM_sys_Put_Dir ATLAS ${R_FIGR}
-
 IGCM_sys_Rm -Rf ATLAS
 IGCM_sys_Rm ${config_UserChoices_JobName}_SE_${YEARS}_1M_grid_[TUVW].nc
@@ -208,2 +212,7 @@
 # Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
+
+# ------------------------------------------------------------------
+# Finalize BigBrother to inform that the jobs end
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Finalize
Index: /trunk/libIGCM/AA_atlas_ORCHIDEE
===================================================================
--- /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1197)
+++ /trunk/libIGCM/AA_atlas_ORCHIDEE	(revision 1198)
@@ -117,12 +117,17 @@
 IGCM_config_CommonConfiguration ${CARD_DIR}/config.card
 
-#
-IGCM_sys_MkdirArchive ${R_FIGR}
+# ------------------------------------------------------------------
+# Activate BigBrother so as to supervise this job
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Initialize
 
+#==================================
+# Then set up several directories
+#==================================
 R_ATLAS=ATLAS/SE_${YEARS}
 R_OUT_SRF=${R_SAVE}/SRF
 DIR_OUT=${DIR_OUT:=SE}
-
 RUN_DIR=${RUN_DIR_PATH}/ATLAS_ORCHIDEE_${YEARS}
+IGCM_sys_MkdirArchive ${R_FIGR}
 IGCM_sys_MkdirWork ${RUN_DIR}
 IGCM_sys_Cd ${RUN_DIR}
@@ -163,2 +168,7 @@
 # Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
+
+# ------------------------------------------------------------------
+# Finalize BigBrother to inform that the jobs end
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Finalize
Index: /trunk/libIGCM/AA_atlas_PISCES
===================================================================
--- /trunk/libIGCM/AA_atlas_PISCES	(revision 1197)
+++ /trunk/libIGCM/AA_atlas_PISCES	(revision 1198)
@@ -117,11 +117,17 @@
 IGCM_config_CommonConfiguration ${CARD_DIR}/config.card
 
-IGCM_sys_MkdirArchive ${R_FIGR}
+# ------------------------------------------------------------------
+# Activate BigBrother so as to supervise this job
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Initialize
 
+#==================================
+# Then set up several directories
+#==================================
 R_ATLAS=ATLAS/SE_${YEARS}
 R_OUT_MBG=${R_SAVE}/MBG
 DIR_OUT=${DIR_OUT:=SE}
-
 RUN_DIR=${RUN_DIR_PATH}/ATLAS_PISCES_${YEARS}
+IGCM_sys_MkdirArchive ${R_FIGR}
 IGCM_sys_MkdirWork ${RUN_DIR}
 IGCM_sys_Cd ${RUN_DIR}
@@ -170,2 +176,7 @@
 # Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
+
+# ------------------------------------------------------------------
+# Finalize BigBrother to inform that the jobs end
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Finalize
Index: /trunk/libIGCM/AA_create_multi_se
===================================================================
--- /trunk/libIGCM/AA_create_multi_se	(revision 1197)
+++ /trunk/libIGCM/AA_create_multi_se	(revision 1198)
@@ -163,4 +163,9 @@
 IGCM_config_CommonConfiguration ${CARD_DIR}/config.card
 
+# ------------------------------------------------------------------
+# Activate BigBrother so as to supervise this job
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Initialize
+
 #==================================
 # Read ListOfComponents section:
@@ -470,2 +475,7 @@
 # Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
+
+# ------------------------------------------------------------------
+# Finalize BigBrother to inform that the jobs end
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Finalize
Index: /trunk/libIGCM/AA_create_se
===================================================================
--- /trunk/libIGCM/AA_create_se	(revision 1197)
+++ /trunk/libIGCM/AA_create_se	(revision 1198)
@@ -170,4 +170,9 @@
 IGCM_config_CommonConfiguration ${CARD_DIR}/config.card
 
+# ------------------------------------------------------------------
+# Activate BigBrother so as to supervise this job
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Initialize
+
 #==================================
 # Define default value to keep compatibility with previous card: means before changes due to TGCC
@@ -634,2 +639,7 @@
 # Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
+
+# ------------------------------------------------------------------
+# Finalize BigBrother to inform that the jobs end
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Finalize
Index: /trunk/libIGCM/AA_create_ts
===================================================================
--- /trunk/libIGCM/AA_create_ts	(revision 1197)
+++ /trunk/libIGCM/AA_create_ts	(revision 1198)
@@ -194,4 +194,9 @@
 IGCM_config_CommonConfiguration ${CARD_DIR}/config.card
 
+# ------------------------------------------------------------------
+# Activate BigBrother so as to supervise this job
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Initialize
+
 #==================================
 # Define default value to keep compatibility with previous card: means before changes due to TGCC
@@ -817,3 +822,8 @@
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
 
+# ------------------------------------------------------------------
+# Finalize BigBrother to inform that the jobs end
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Finalize
+
 date
Index: /trunk/libIGCM/AA_metrics_LMDZ
===================================================================
--- /trunk/libIGCM/AA_metrics_LMDZ	(revision 1197)
+++ /trunk/libIGCM/AA_metrics_LMDZ	(revision 1198)
@@ -160,5 +160,5 @@
 IGCM_comp_modifyFile template.py experiment  \'${config_UserChoices_ExperimentName}\'
 IGCM_comp_modifyFile template.py realization \'${config_UserChoices_JobName}\'
-IGCM_comp_modifyFile template.py project_id \'IPSL-${config_UserChoices_SpaceName}\'
+IGCM_comp_modifyFile template.py project_id \'IPSL\-${config_UserChoices_SpaceName}\'
 IGCM_comp_modifyFile template.py ModelFreeSpace \'${config_UserChoices_LongName}\'
 IGCM_comp_modifyFile template.py case_id \'SE_${YEARS}\'
Index: /trunk/libIGCM/AA_monitoring
===================================================================
--- /trunk/libIGCM/AA_monitoring	(revision 1197)
+++ /trunk/libIGCM/AA_monitoring	(revision 1198)
@@ -164,4 +164,9 @@
 IGCM_config_CommonConfiguration ${CARD_DIR}/config.card
 
+# ------------------------------------------------------------------
+# Activate BigBrother so as to supervise this job
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Initialize
+
 #==================================
 # Read ListOfComponents section:
@@ -244,2 +249,7 @@
 # Clean RUN_DIR_PATH (necessary for cesium and titane only)
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
+
+# ------------------------------------------------------------------
+# Finalize BigBrother to inform that the jobs end
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Finalize
Index: /trunk/libIGCM/AA_pack_debug
===================================================================
--- /trunk/libIGCM/AA_pack_debug	(revision 1197)
+++ /trunk/libIGCM/AA_pack_debug	(revision 1198)
@@ -182,4 +182,12 @@
 IGCM_config_CommonConfiguration ${CARD_DIR}/config.card
 
+# ------------------------------------------------------------------
+# Activate BigBrother so as to supervise this job
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Initialize
+
+#==================================
+# Test and set up directories
+#==================================
 IGCM_sys_TestDirArchive ${R_SAVE}
 [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDirArchive"
@@ -273,3 +281,8 @@
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
 
+# ------------------------------------------------------------------
+# Finalize BigBrother to inform that the jobs end
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Finalize
+
 date
Index: /trunk/libIGCM/AA_pack_output
===================================================================
--- /trunk/libIGCM/AA_pack_output	(revision 1197)
+++ /trunk/libIGCM/AA_pack_output	(revision 1198)
@@ -159,9 +159,17 @@
 IGCM_config_CommonConfiguration ${CARD_DIR}/config.card
 
+# ------------------------------------------------------------------
+# Activate BigBrother so as to supervise this job
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Initialize
+
 #==================================
 # Read ListOfComponents section
 # to drive the loop over find
 IGCM_card_DefineArrayFromSection ${CARD_DIR}/config.card ListOfComponents
-#
+
+#==================================
+# Test and set up directories
+#==================================
 IGCM_sys_TestDirArchive ${R_SAVE}
 [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDirArchive"
@@ -288,3 +296,8 @@
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
 
+# ------------------------------------------------------------------
+# Finalize BigBrother to inform that the jobs end
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Finalize
+
 date
Index: /trunk/libIGCM/AA_pack_restart
===================================================================
--- /trunk/libIGCM/AA_pack_restart	(revision 1197)
+++ /trunk/libIGCM/AA_pack_restart	(revision 1198)
@@ -181,5 +181,13 @@
 #==================================
 IGCM_config_CommonConfiguration ${CARD_DIR}/config.card
-#
+
+# ------------------------------------------------------------------
+# Activate BigBrother so as to supervise this job
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Initialize
+
+#==================================
+# Test and set up directories
+#==================================
 IGCM_sys_TestDirArchive ${R_SAVE}
 [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDirArchive"
@@ -273,3 +281,8 @@
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
 
+# ------------------------------------------------------------------
+# Finalize BigBrother to inform that the jobs end
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Finalize
+
 date
Index: /trunk/libIGCM/AA_rebuild_fromWorkdir
===================================================================
--- /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1197)
+++ /trunk/libIGCM/AA_rebuild_fromWorkdir	(revision 1198)
@@ -193,4 +193,9 @@
 IGCM_config_CommonConfiguration ${CARD_DIR}/config.card
 
+# ------------------------------------------------------------------
+# Activate BigBrother so as to supervise this job
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Initialize
+
 # Directory list to work with
 ListAllRebuildDir=$( IGCM_sys_RshMaster ls -d ${REBUILD_DIR}/REBUILD_* | grep -B $(( ${NbRebuildDir} -1 )) ${LastPeriodForRebuild} )
@@ -219,3 +224,8 @@
 IGCM_sys_RmRunDir -Rf ${RUN_DIR_PATH}
 
+# ------------------------------------------------------------------
+# Finalize BigBrother to inform that the jobs end
+# ------------------------------------------------------------------
+IGCM_debug_BigBro_Finalize
+
 date